Skip site navigation (1)Skip section navigation (2)
Date:      Sun, 6 Dec 2015 10:04:51 +0000 (UTC)
From:      Kurt Jaeger <pi@FreeBSD.org>
To:        ports-committers@freebsd.org, svn-ports-all@freebsd.org, svn-ports-head@freebsd.org
Subject:   svn commit: r403097 - in head/sysutils/dmidecode: . files
Message-ID:  <201512061004.tB6A4p5a036890@repo.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: pi
Date: Sun Dec  6 10:04:50 2015
New Revision: 403097
URL: https://svnweb.freebsd.org/changeset/ports/403097

Log:
  sysutils/dmidecode: add dmidecode to periodic/daily to track hardware changes
  
  To enable tracking dmidecode diffs in daily mail the admin should
  set the variable daily_status_dmidecode_enable to "YES" in
  /etc/periodic.conf
  
  PR:		188941
  Submitted by:	marck
  Approved by:	sunpoet (timeout)

Added:
  head/sysutils/dmidecode/files/dmidecode.in   (contents, props changed)
Modified:
  head/sysutils/dmidecode/Makefile
  head/sysutils/dmidecode/files/patch-Makefile

Modified: head/sysutils/dmidecode/Makefile
==============================================================================
--- head/sysutils/dmidecode/Makefile	Sun Dec  6 10:01:49 2015	(r403096)
+++ head/sysutils/dmidecode/Makefile	Sun Dec  6 10:04:50 2015	(r403097)
@@ -3,6 +3,7 @@
 
 PORTNAME=	dmidecode
 PORTVERSION=	2.12
+PORTREVISION=	1
 CATEGORIES=	sysutils
 MASTER_SITES=	SAVANNAH
 
@@ -17,9 +18,16 @@ ONLY_FOR_ARCHS=	i386 amd64 ia64
 MAKE_ENV=	DOCSDIR="${DOCSDIR}"
 USES=		tar:bzip2
 
-PLIST_FILES=	man/man8/dmidecode.8.gz \
+PLIST_FILES=	etc/periodic/daily/dmidecode \
+		man/man8/dmidecode.8.gz \
 		sbin/dmidecode
 PORTDOCS=	AUTHORS CHANGELOG README
+USE_RC_SUBR=	dmidecode
+
+post-install:
+	${MKDIR} ${STAGEDIR}${PREFIX}/etc/periodic/daily
+	${INSTALL_SCRIPT} ${WRKDIR}/dmidecode \
+		${STAGEDIR}${PREFIX}/etc/periodic/daily
 
 .include <bsd.port.pre.mk>
 

Added: head/sysutils/dmidecode/files/dmidecode.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/dmidecode/files/dmidecode.in	Sun Dec  6 10:04:50 2015	(r403097)
@@ -0,0 +1,53 @@
+#!/bin/sh -
+#
+# Copyright (c) 2001-2014  The FreeBSD Project
+# Copyright (c) 2014	Dmitry Morozovsky <marck@rinet.ru>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# If there is a global system configuration file, suck it in.
+#
+if [ -r /etc/defaults/periodic.conf ]
+then
+    . /etc/defaults/periodic.conf
+    source_periodic_confs
+fi
+
+dmidecode=%%PREFIX%%/sbin/dmidecode
+
+. /etc/periodic/security/security.functions
+
+rc=0
+
+case "$daily_status_dmidecode_enable" in
+    [Yy][Ee][Ss])
+	$dmidecode 2>/dev/null |
+	    check_diff dmidecode - "${host} hardware dmi status:"
+	rc=$?;;
+    *)	rc=0;;
+esac
+
+exit $rc

Modified: head/sysutils/dmidecode/files/patch-Makefile
==============================================================================
--- head/sysutils/dmidecode/files/patch-Makefile	Sun Dec  6 10:01:49 2015	(r403096)
+++ head/sysutils/dmidecode/files/patch-Makefile	Sun Dec  6 10:04:50 2015	(r403097)
@@ -1,5 +1,5 @@
---- Makefile.orig	2013-09-04 23:07:45.000000000 +0200
-+++ Makefile	2013-09-04 23:09:52.000000000 +0200
+--- Makefile.orig	2010-10-11 14:08:16 UTC
++++ Makefile
 @@ -12,30 +12,29 @@
  #   (at your option) any later version.
  #



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201512061004.tB6A4p5a036890>